Bug 427458 - Review Request: rudecgi - Library (C++ API) for reading CGI form data
Review Request: rudecgi - Library (C++ API) for reading CGI form data
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: panelfm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-03 17:34 EST by Matt Flood
Modified: 2008-01-11 19:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-11 19:16:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)
patch to compile with g++ 4.3.0 (2.57 KB, patch)
2008-01-10 05:25 EST, Michael Schwendt
no flags Details | Diff

  None (edit)
Description Matt Flood 2008-01-03 17:34:32 EST
Spec URL: http://homeless.fedorapeople.org/rudecgi.spec
SRPM URL: http://homeless.fedorapeople.org/rudecgi-5.0.0-1.src.rpm
Description: Library (C++ API) that allows CGI applications to access form data
submitted to a webserver using GET and POST methods.  It also extracts
path info and cookie data from the environment and supports file uploads.
Comment 1 Michael Schwendt 2008-01-10 05:25:26 EST
Created attachment 291261 [details]
patch to compile with g++ 4.3.0

$ rpmlint rudecgi-5.0.0-1.src.rpm 
rudecgi.src: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 67)
rudecgi.src: W: invalid-license GPL

GPLv2+	is the licence according to your source code.

Minor issues => EasyFix. APPROVED.
Comment 2 Matt Flood 2008-01-11 11:48:56 EST
Thanks for the review and the patch, I have made the requested changes.

Spec URL: http://homeless.fedorapeople.org/rudecgi.spec
SRPM URL: http://homeless.fedorapeople.org/rudecgi-5.1.0-1.src.rpm


New Package CVS Request
=======================
Package Name: rudecgi
Short Description: Library (C++ API) for reading CGI form data
Owners: homeless
Branches: F-7 F-8
Cvsextras Commits: yes

Comment 3 Kevin Fenzi 2008-01-11 16:49:32 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.